Bug 119800 - Session-Sidebar as substitute for kicked projectmanagement
Summary: Session-Sidebar as substitute for kicked projectmanagement
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: sessions (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR wishlist
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-09 16:02 UTC by onsen-neko
Modified: 2012-10-28 22:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Projects in Kate 2.4.1 KDE 3.4.3 (58.00 KB, image/png)
2006-01-10 11:05 UTC, Iges Seem
Details

Note You need to log in before you can comment on or make changes to this bug.
Description onsen-neko 2006-01-09 16:02:03 UTC
Version:            (using KDE KDE 3.5.0)
Installed from:    Ubuntu Packages
OS:                Linux

As compromise for the missing project management ( http://bugs.kde.org/show_bug.cgi?id=116946 ) a new sidebar should be alright. This sidebar could present an overview of all session with there files. By open single files from sessions, it should recreate the project-behaviour.

Also the management of a session can also integrate there, instead of the creepy little dialog which is actualy used.
Comment 1 Johan Rosman 2006-01-09 16:19:12 UTC
Unless the proposed "session overview" also includes an hierarchical directory-tree view (with expand/collapse) this is not an appropriate alternative. I have some projects, with 50 up to more than 150 files in several directories.
Comment 2 onsen-neko 2006-01-09 21:29:34 UTC
For the time being, the old sidebar-code from the project management could be reused. Only the origin changed. Well, there should also be an import-func for kateproject-files, but this should be an easy job.
Comment 3 Eric Laberge 2006-01-09 21:51:43 UTC
I second Johan's comment. Without a hierarchy, this is not a suitable alternative. I use Kate as a development tool and this is not a substitute for the already-adequate project management.
Comment 4 onsen-neko 2006-01-09 22:27:54 UTC
Which hierachy? I only know the old project-sidebar in kate, and there wasn't any hierachy, only a list with all files and a dropdown-list to choose the project. But well, whatever code is reused, the result is the same.
Comment 5 Iges Seem 2006-01-10 11:03:42 UTC
I agree with the above, that without the file hierarchy, its not viable alternative. As a remainder this is how project files look like in Kate 2.4.1 KDE 3.4.3 in a hierarchy, see attached pic.
Comment 6 Iges Seem 2006-01-10 11:05:00 UTC
Created attachment 14198 [details]
Projects in Kate 2.4.1 KDE 3.4.3
Comment 7 Christoph Cullmann 2012-10-28 22:04:28 UTC
We will have now a project plugin again in KDE 4.10, and it is there to stay ;)